Bug 1302947 - AttributeError: 'NoneType' object has no attribute 'isleaf'
AttributeError: 'NoneType' object has no attribute 'isleaf'
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: blivet-maint-list@redhat.com
Fedora Extras Quality Assurance
abrt_hash:cdaaa9354b1701cc311aea06978...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-29 01:07 EST by Imran Ghaznavi
Modified: 2016-12-20 13:16 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:16:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (606.04 KB, text/plain)
2016-01-29 01:07 EST, Imran Ghaznavi
no flags Details
File: anaconda.log (18.86 KB, text/plain)
2016-01-29 01:07 EST, Imran Ghaznavi
no flags Details
File: dnf.log (2.94 KB, text/plain)
2016-01-29 01:07 EST, Imran Ghaznavi
no flags Details
File: environ (459 bytes, text/plain)
2016-01-29 01:07 EST, Imran Ghaznavi
no flags Details
File: lsblk_output (3.82 KB, text/plain)
2016-01-29 01:07 EST, Imran Ghaznavi
no flags Details
File: nmcli_dev_list (1.20 KB, text/plain)
2016-01-29 01:07 EST, Imran Ghaznavi
no flags Details
File: os_info (451 bytes, text/plain)
2016-01-29 01:07 EST, Imran Ghaznavi
no flags Details
File: program.log (71.86 KB, text/plain)
2016-01-29 01:07 EST, Imran Ghaznavi
no flags Details
File: storage.log (233.77 KB, text/plain)
2016-01-29 01:07 EST, Imran Ghaznavi
no flags Details
File: syslog (118.87 KB, text/plain)
2016-01-29 01:07 EST, Imran Ghaznavi
no flags Details
File: ifcfg.log (112 bytes, text/plain)
2016-01-29 01:07 EST, Imran Ghaznavi
no flags Details
File: packaging.log (663 bytes, text/plain)
2016-01-29 01:07 EST, Imran Ghaznavi
no flags Details

  None (edit)
Description Imran Ghaznavi 2016-01-29 01:07:01 EST
Description of problem:
I was unable to see the 2nd raid0 array. Went to console (alt+ctrl F2) and ran mdadm --assemble --scan.
Then asked the installer to rescan disks by going into the first Raid0 array that was displaying, clicking create partition manually and the rescan disk option.

When my second 5.46TiB Raid0 array was detected it shows 1.05TiB free.
Selected only this second array, selected 'Automatically configure partitoning' and 'I would like to make additional space available' and clicked 'done'.

Install crashes with this opton to report bug.

Version-Release number of selected component:
anaconda-23.19.10-1

The following was filed automatically by anaconda:
anaconda 23.19.10-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.4/site-packages/blivet/devicetree.py", line 396, in getDependentDevices
    if dep.isleaf and not hidden:
  File "/usr/lib/python3.4/site-packages/blivet/devicetree.py", line 423, in getRelatedDisks
    return set(d for dep in self.getDependentDevices(disk, hidden=True)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/lib/disks.py", line 109, in checkDiskSelection
    related = sorted(storage.devicetree.getRelatedDisks(selected), key=lambda d: d.name)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 910, in on_back_clicked
    self.disks_errors = checkDiskSelection(self.storage, self.selected_disks)
AttributeError: 'NoneType' object has no attribute 'isleaf'

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz inst.stage2=hd:LABEL=Fedora-S-23-x86_64 quiet
dnf.rpm.log:    Jan 29 05:56:25 INFO --- logging initialized ---
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        23
Comment 1 Imran Ghaznavi 2016-01-29 01:07:05 EST
Created attachment 1119356 [details]
File: anaconda-tb
Comment 2 Imran Ghaznavi 2016-01-29 01:07:07 EST
Created attachment 1119357 [details]
File: anaconda.log
Comment 3 Imran Ghaznavi 2016-01-29 01:07:08 EST
Created attachment 1119358 [details]
File: dnf.log
Comment 4 Imran Ghaznavi 2016-01-29 01:07:09 EST
Created attachment 1119359 [details]
File: environ
Comment 5 Imran Ghaznavi 2016-01-29 01:07:10 EST
Created attachment 1119360 [details]
File: lsblk_output
Comment 6 Imran Ghaznavi 2016-01-29 01:07:10 EST
Created attachment 1119361 [details]
File: nmcli_dev_list
Comment 7 Imran Ghaznavi 2016-01-29 01:07:11 EST
Created attachment 1119362 [details]
File: os_info
Comment 8 Imran Ghaznavi 2016-01-29 01:07:12 EST
Created attachment 1119363 [details]
File: program.log
Comment 9 Imran Ghaznavi 2016-01-29 01:07:14 EST
Created attachment 1119364 [details]
File: storage.log
Comment 10 Imran Ghaznavi 2016-01-29 01:07:15 EST
Created attachment 1119365 [details]
File: syslog
Comment 11 Imran Ghaznavi 2016-01-29 01:07:16 EST
Created attachment 1119366 [details]
File: ifcfg.log
Comment 12 Imran Ghaznavi 2016-01-29 01:07:17 EST
Created attachment 1119367 [details]
File: packaging.log
Comment 13 Fedora End Of Life 2016-11-24 10:15:51 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2016-12-20 13:16:56 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.